package net.action;

import net.bo.SessionApp;

/**
 * Ajoute le groupe de nom passé en argument dans la liste des groupes de l'application,
 * La commande n'est autorisée que pour un superAdmin
 * @author jc
 *
 */
public class CmdAddGroup extends Commande {

	public CmdAddGroup(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		info="Entrer le nom du groupe à créer";
	}

	public CmdAddGroup() {
		this(null);
	}

	@Override
	public int run() {
		if(sessionApp.getApplication().addGroupe(args.get(0)))
			sessionApp.getApplication().print("Le groupe "+args.get(0)+" a été ajouté");
		else
			sessionApp.getApplication().print("Le groupe "+args.get(0)+" existe déjà");
		return 0;
	}

}
