package net.action;

import net.bo.SessionApp;

/**
 * Ajoute un utilisateur dont le login est passé en argument dans la liste des utilisateurs de l'application,
 * si les arguments sont multiples, ils sont fournis dans l'ordre : login, password, firstName, lastName,
 * La commande n'est autorisée que pour un superAdmin
 * @author jc
 *
 */
public class CmdAddUser extends Commande {

	public CmdAddUser(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		info="Entrer le login de l'utilisateur à créer";
	}

	public CmdAddUser() {
		this(null);
	}

	@Override
	public int run() {
		if(sessionApp.getApplication().addUser(args.get(0)))
			sessionApp.getApplication().print("L'utilisateur "+args.get(0)+" a été ajouté");
		else
			sessionApp.getApplication().print("L'utilisateur "+args.get(0)+" existe déjà");
		return 0;
	}

}
