package net.action;

import net.bo.SessionApp;

/**
 * Supprime l'utilisateur dont le nom est passé en argument
 * La commande n'est autorisée que pour un superAdmin
 * @author jc
 *
 */
public class CmdDeleteUser extends Commande {

	public CmdDeleteUser(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		isSuperAdmin=true;
	}

	public CmdDeleteUser() {
		this(null);
	}

	@Override
	public int run() {
		if(getApplication().deleteUser(args.get(0)))
			getApplication().print("L'utilisateur "+args.get(0)+" a été supprimé");
		else
			getApplication().print("Imposible de supprimer l'utilisateur "+args.get(0));
		return 0;
	}

}
