package net.action;

import net.bo.SessionApp;

/**
 * Permet de saisir son mot de passe, après avoir saisi son login
 * @author jc
 *
 */
public class CmdPassword extends Commande {

	public CmdPassword(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		isSuperAdmin=false;
	}

	public CmdPassword() {
		this(null);
	}

	@Override
	public int run() {
		if(sessionApp.getActiveUser()!=null){
			if(sessionApp.checkPassword(args.get(0)))
				getApplication().print("Logué en tant que "+sessionApp.getActiveUser().getName());
			else
				getApplication().print("Login ou mot de passe incorrect");
		}else
			getApplication().print("Utiliser la commande\n>login yourLogin\npour vous loguer");	
		return 0;
	}

}
