package net.bo;

import java.util.ArrayList;

/**
 * Représente un groupe d'utilisateurs
 * @author jc
 *
 */
public class Groupe extends Bo {
	private ArrayList<Utilisateur> lesUtilisateurs;
	public Groupe(String name) {
		super(name);
		lesUtilisateurs=new ArrayList<Utilisateur>();
	}
	/**
	 * Ajoute aUtilisateur dans le groupe
	 * @param aUtilisateur
	 */
	public void add(Utilisateur aUtilisateur){
		lesUtilisateurs.add(aUtilisateur);
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		
		return name + " (" + lesUtilisateurs.size() + ")";
	}
}
