package net.db;

import java.sql.DriverManager;
import java.sql.SQLException;
 
/**
 * Représente une connexion à une base de données Mysql
 * @author jc
 *
 */
public class DbMysql extends Db {
 
    public DbMysql(String host, String user, String pass, String base) {
        super(host, user, pass, base,"3306");
    }
    
    public DbMysql(String host, String user, String pass, String base,String port) {
        super(host, user, pass, base,port);
    }
 
    @Override
    public boolean connect() throws SQLException {
        try {
			Class.forName("com.mysql.jdbc.Driver");//Chargement de la classe du Driver
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
        connection=DriverManager.getConnection("jdbc:mysql://"+host+":"+port+"/"+base,user, pass);
        return false;
    }
}