package net.main;
import java.util.Scanner;

import net.action.Commande;
import net.bo.Application;
import net.bo.SessionApp;
import net.gui.console.Console;

/**
 * Programme de test des fonctionnalités en mode console
 * @author jc
 *
 */
public class TestConsole {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Application app=Application.getInstance();
		SessionApp sessionApp = new SessionApp();
		Scanner sc = new Scanner(System.in);
		app.setView(new Console());
		int retour = 0;
		do {
			System.out.print("\n>");
			String s = sc.nextLine();
			Commande cmd = Commande.translate(sessionApp, s);
			if (cmd.isValid())
				retour =sessionApp.run(cmd);
			else
				System.out.println("Nombre d'arguments insuffisant");
		} while (retour != 1);
		sc.close();
	}

}
