package net.action;

import net.bo.SessionApp;

/**
 * Supprime le groupe dont le nom est passé en argument
 * La commande n'est autorisée que pour un superAdmin
 * @author jc
 *
 */
public class CmdDeleteGroup extends Commande {

	public CmdDeleteGroup(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		isSuperAdmin=true;
	}

	public CmdDeleteGroup() {
		this(null);
	}

	@Override
	public int run() {
		if(sessionApp.getApplication().deleteGroup(args.get(0)))
			sessionApp.getApplication().print("Le groupe "+args.get(0)+" a été supprimé");
		else
			sessionApp.getApplication().print("Le groupe "+args.get(0)+" n'existe pas");
		return 0;
	}

}
