package net.action;

import net.bo.SessionApp;

/**
 * Permet la connexion à l'application, en passant en argument le login, et facultativement le password
 * @author jc
 *
 */
public class CmdLogin extends Commande {

	public CmdLogin(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		isSuperAdmin=false;
	}

	public CmdLogin() {
		this(null);
	}

	@Override
	public int run() {
			String login="";
			String password="";
			if(args.size()>0){
				login=args.get(0);
				if(args.size()>1){
					password=args.get(1);
					if(sessionApp.login(login, password))
						getApplication().print("Logué en tant que "+login);
					else
						getApplication().print("Login ou mot de passe incorrect");
				}else{
					if(sessionApp.login(login, ""))
						getApplication().print("Logué en tant que "+login);
					else
						getApplication().print("Saisir votre mot de passe en faisant \npassword yourPassword");
				}
			}
		return 0;
	}

}
