package net.action;

import net.bo.SessionApp;

/**
 * Définit le mot de passe de l'utilisateur actif
 * @author jc
 *
 */
public class CmdSetPwd extends Commande {

	public CmdSetPwd(SessionApp sessionApp) {
		super(sessionApp);
		argsCount=1;
		isSuperAdmin=false;
	}

	public CmdSetPwd() {
		this(null);
	}

	@Override
	public int run() {
		if(sessionApp.getActiveUser()!=null)
			sessionApp.getActiveUser().setPassword(args.get(0));
		else
			sessionApp.getApplication().print("Veuillez vous connecter pour modifier votre mot de passe");
		return 0;
	}

}
