package net.bo;

/**
 * Représente un utilisateur
 * @author jc
 *
 */
public class Utilisateur extends Bo{
	private String password;
	private String lastName;
	private String firstName;
	private Groupe leGroupe;
	private boolean isLogIn;
	private boolean isSuperAdmin;
	
	public boolean isLogIn() {
		return isLogIn;
	}
	public Groupe getLeGroupe() {
		return leGroupe;
	}
	public void setLogIn(boolean isLogIn) {
		this.isLogIn = isLogIn;
	}
	public Utilisateur(String login) {
		this(login,"","pas de Nom","pas de prénom");
	}
	public void setLeGroupe(Groupe leGroupe) {
		this.leGroupe = leGroupe;
	}
	public Utilisateur(String login,String password,String firstName,String lastName){
		super(login);
		this.password=password;
		this.firstName=firstName;
		this.lastName=lastName;
		this.isLogIn=false;
		this.isSuperAdmin=false;
	}
	public boolean isSuperAdmin() {
		return isSuperAdmin;
	}
	public void setSuperAdmin(boolean isSuperAdmin) {
		this.isSuperAdmin = isSuperAdmin;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	
	/**
	 * Ajoute l'utilisateur dans le groupe aGroup
	 * @param aGroup
	 */
	public void addToGroup(Groupe aGroup){
		aGroup.add(this);
		leGroupe=aGroup;
	}
	public void setValues(String login,String password,String firstName,String lastName){
		this.name=login;
		this.password=password;
		this.firstName=firstName;
		this.lastName=lastName;		
	}
	public int getIdGroupe(){
		int result=-1;
		if(leGroupe!=null)
			result=leGroupe.getId();
		return result;
	}
	@Override
	public String toString(){
		return name+" ("+firstName+" "+lastName+")";
	}
}
