package net.controller;

import net.action.Commande;
import net.bo.SessionApp;

/**
 * Classe de contrôle pour la notion de superAdmin,
 * Contrôle le droit d'exécuter une Commande
 * @author jc
 *
 */
public class SuperAdminController implements AppliController {
	private SessionApp sessionApp;

	public SuperAdminController(SessionApp sessionApp) {
		this.sessionApp=sessionApp;
	}

	/* (non-Javadoc)
	 * @see net.controller.AppliController#check(java.lang.Object)
	 */
	@Override
	public boolean check(Object o) {
		Commande cmd=(Commande) o;
		boolean canExecute=!cmd.isSuperAdmin()||(sessionApp.getActiveUser()!=null&&sessionApp.getActiveUser().isSuperAdmin());
		if(!canExecute)
			sessionApp.getApplication().print("Droits insuffisants");
		return canExecute;
	}

}
